<table class="cui-table-hover">
  <thead>
    <tr>
      <th scope="col" class="cui-shrink"></th>
      <th scope="col">ID</th>
      <th scope="col">Name</th>
      <th scope="col">Value</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td class="cui-shrink"></td>
      <td>1</td>
      <td>Test 1</td>
      <td>Value 1</td>
    </tr>
    <tr (click)="collapse.toggle()" style="cursor: pointer">
      <td class="cui-shrink cui-align-middle">
        <button cui-button cui-icon-button mode="ghost" size="xs"
          [icon]="collapsed ? 'chevron-right' : 'chevron-down'"
          [attr.aria-label]="collapsed ? 'Expand Rows' : 'Collapse Rows'"
        ></button>
      </td>
      <td>2</td>
      <td>Test 2</td>
      <td>Value 2</td>
    </tr>
  </tbody>
  <tbody [(cuiCollapse)]="collapsed" #collapse="cuiCollapse">
    <tr>
      <td class="cui-shrink"></td>
      <td>3</td>
      <td>Test 3</td>
      <td>Value 3</td>
    </tr>
    <tr>
      <td class="cui-shrink"></td>
      <td>4</td>
      <td>Test 4</td>
      <td>Value 4</td>
    </tr>
    <tr>
      <td class="cui-min-size-cell"></td>
      <td>5</td>
      <td>Test 5</td>
      <td>Value 5</td>
    </tr>
  </tbody>
  <tbody>
    <tr>
      <td class="cui-min-size-cell"></td>
      <td>6</td>
      <td>Test 6</td>
      <td>Value 6</td>
    </tr>
  </tbody>
</table>
